Patch1: 1-bugfix-for-CVE-2025-43964.patch
%define anolis_release 2
Summary:        Library providing low-level IEEE-1394 access - 2.1.2-
Name:           libraw1394
Version:        2.1.2
Release: %{anolis_release}%{dist}
License:        LGPLv2+
Source:         http://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.xz
URL:            http://www.dennedy.org/libraw1394/
BuildRequires:  gcc
BuildRequires:  kernel-headers
BuildRequires: make

%description
The libraw1394 library provides direct access to the IEEE-1394 bus.
Support for both the obsolete ieee1394 interface and the new firewire
intererface are included, with run-time detection of the active stack.

%package devel
Summary:        Development libs for libraw1394
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development libraries needed to build applications against libraw1394.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/libraw1394.la

%generate_compatibility_deps

%files
%license COPYING.LIB
%{_bindir}/dumpiso
%{_bindir}/sendiso
%{_bindir}/testlibraw
%{_libdir}/libraw1394.so.*
%{_mandir}/man1/dumpiso.1*
%{_mandir}/man1/sendiso.1*
%{_mandir}/man1/testlibraw.1*
%{_mandir}/man5/isodump.5*

%dir %{abidir}
%{abidir}/dumpiso-option.list
%{abidir}/sendiso-option.list
%{abidir}/testlibraw-option.list
%{abidir}/libraw1394.dump

%files devel
%doc doc/libraw1394.sgml
%{_includedir}/libraw1394/
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/libraw1394.pc

%files doc
%doc INSTALL AUTHORS ChangeLog
%doc README NEWS

%changelog
* Wed Jul 02 2025 tomcruiseqi <10762123+tomcruiseqi@user.noreply.gitee.com> - 2.1.2-2
- Fix CVE-2025-43964

* Sat Mar 25 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.1.2-1
- Init package from upstream
